We are currently running ZCM 10.3.0 in our environment and need to upgrade to a more current version to support Win 7 sp1.
I have a few questions about this.

Is it correct that Win 7 SP1 is supported from 10.3.3 onwards?

What is the upgrade path from 10.3.0 to 11.0? Do we have to upgrade from 10.3 to 10.3.3 (or 10.3.2) prior to upgrading to 11.0, or can we go straight from 10.3 to 11.0?

Are there any issues with PCs running that 10.3.0 clients interacting with 11.0 servers?

Is 11.0 stable enougth for production use or should we stick with 10.3.3 till 11.1 is released? (Internal politics is pushing for us to move to 11.x ASAP)

We will run through the whole process in our lab environment prior to doing anything, but any hints and suggestions are most welcome.